Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
assetmgrmodel::AssetStripLogger_1_0_6::Info Struct Reference

Log information structure. More...

`import"AssetStripLogger.idl";`

## Public Attributes
int | capacity
| Maximum number of entries in the record ring buffer.
int | oldestRecord
| Pointer to the oldest log entry; -1 if the log is empty.
int | newestRecord
| Pointer to the newest log entry; -1 if the log is empty.
int | totalEventCount
| Total number of events logged.

## Detailed Description

Log information structure.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AssetStripLogger.idl